<p align="center">
     <img src="https://getbootstrap.com/docs/5.2/assets/brand/bootstrap-logo-shadow.png" alt="Bootstrap Icons" width="100">
</p>

<h1 align="center">
  Bootstrap Icons for Strapi
</h1>

<p align="center">Plugin for adding bootstrap icons to <a href="https://strapi.io/" target="_blank">Strapi</a>.</p>

<p align="center">
  <a href="https://www.npmjs.com/package/strapi-bootstrap-icons">
    <img src="https://img.shields.io/npm/v/strapi-bootstrap-icons" alt="Version">
    <img src="https://img.shields.io/npm/l/strapi-bootstrap-icons" alt="License">
  </a>
</p>

Strapi Bootstrap Icons Plugin is a custom plugin for Strapi that allows to use [Bootstrap Icons](https://icons.getbootstrap.com/) for your content.

## ⚙️ Installation

To install the Strapi Bootstrap Icons, simply run one of the following command:

```
npm install strapi-bootstrap-icons
```

```
yarn add strapi-bootstrap-icons
```

## ⚡️ Usage

After installation you will find the `Bootstrap Icon` at the custom fields section of the content-type builder.

![strapi bootstrap icons](./screenshot/screenshot-1.png)

Now you can define the field attributes. `Bootstrap Icon` field allows you to select a response type for the field value in 3 formats.

- Base64
- SVG
- CSS Class

![strapi bootstrap icons](./screenshot/screenshot-2.png)

Now You can create new records via the Admin panel with selecting your preferred bootstrap icons.

![strapi bootstrap icons](./screenshot/screenshot-3.png)

![strapi bootstrap icons](./screenshot/screenshot-4.png)

## 🖥️ Demo

![strapi bootstrap icons demo](./screenshot/demo.gif)

## 👍 Contribute

If you want to say **Thank You** and/or support the active development of `Strapi Boostrap Icons`:

1. Add a [GitHub Star](https://github.com/dynolabs/strapi-bootstrap-icons/stargazers) to the project.
2. Support the project by donating a [cup of coffee](https://buymeacoff.ee/dulajdeshan).

## 🧾 License

This plugin is licensed under the MIT License. See the [LICENSE](./LICENSE) file for more information.
